<?php
/*
Tournament Center v1.0
Updated for 0.98 by Frederic Hutow (fhutow@togrc.com)
http://lotgd.togrc.com

Based on original version by Excalibur & Talisman
*/
require_once("lib/systemmail.php");

function tournament_getmoduleinfo(){
    $info = array(
        "name"=>"Tournament",
        "version"=>"1.0",
        "author"=>"Original Version: Excalibur / Talisman<br />Conversion: Frederic Hutow",
        "category"=>"Village",
        "prefs"=>array(
            "Preferenze Utente Modulo Torneo,title",
            "entry"=>"L'utente ha pagato l'ingresso,bool|0",
            "points"=>"Punti Torneo,int|0",
            "information"=>"Informazioni Utente Torneo,viewonly"
        ),
        "settings"=>array(
            "Settaggi Modulo Torneo,title",
            "leader"=>"Leader Attuale Torneo (userid),int|0",
            "efeegold"=>"Tassa Ingresso (Oro),int|500",
            "efeegems"=>"Tassa Ingresso (Gemme),int|1",
            "r1gold"=>"Premio: 1 Posizione (Oro),int|10000",
            "r1gems"=>"Premio: 1 Posizione (Gemme),int|10",
            "r2gold"=>"Premio: 2 Posizione (Oro),int|8000",
            "r2gems"=>"Premio: 2 Posizione (Gemme),int|8",
            "r3gold"=>"Premio: 3 Posizione (Oro),int|5000",
            "r3gems"=>"Premio: 3 Posizione (Gemme),int|5",
            "end"=>"Termine Torneo,txt|",
        )
    );
    return $info;
}

function tournament_install(){
    module_addhook("village");
    module_addhook("charstats");
    module_addhook("superuser");
    module_addhook("index");
    module_addhook("dragonkill");
    module_addhook("namechange");
    return true;
}

function tournament_uninstall(){
    return true;
}

function tournament_dohook($hookname,$args){
    global $session;
    $leader = get_module_setting("leader");

    switch($hookname){
    case "charstats":
        $upoints = get_module_pref("points");
        if ($upoints > 0) {
            addcharstat("Info Extra");
            addcharstat("Punti Torneo", number_format($upoints));
        }
        break;
    case "village":
        $display = true;
        if (is_module_active("cities")) {
            $city = getsetting("villagename", LOCATION_FIELDS);
            $home = $session['user']['location']==get_module_pref("homecity", "cities");
            $capital = $session['user']['location']==$city;
            if (!$home && !$capital) {
                $display = false;
            }
        }
        if ($display) {
            addnav('Torneo');
            addnav("Centro Torneo","runmodule.php?module=tournament");
            addnav("Punteggi Torneo","runmodule.php?module=tournament&op=scores");
        }
        break;
    case "index":
        if ($leader != 0) {
            $sql = "SELECT name FROM " . db_prefix("accounts") . " WHERE acctid='$leader'";
            $result = db_query_cached($sql, "tournamentleader");
            $row = db_fetch_assoc($result);
            $leadername = $row['name'];
        }
        if ($leadername) {
            output_notl("`@L'attuale Leader del Torneo : `&%s`@.`0`n",$leadername);
        } else {
            output_notl("`@Non c' `&nessun`@ leader del Torneo. Sarai tu il primo?`0`n");
        }
        break;
    case "dragonkill":
    case "namechange":
        if ($leader == $session['user']['acctid']) {
            invalidatedatacache("tournamentleader");
        }
        break;
    case "superuser":
        addnav("Module Configurations");
        addnav("Resetta Torneo","runmodule.php?module=tournament&op=editor&admin=true");
    }
    return $args;
}

function tournament_runevent($type){
}

function tournament_run(){
    global $session;

    $uentry  = get_module_pref("entry");
    $upoints = get_module_pref("points");

    $op = httpget('op');
    $action = httpget('action');
    $level = httpget('level');

    if ($op=="editor") tournament_editor();

    page_header("Il Grande Torneo di LoGD");

    if ($op == "") {
        $efeegold = get_module_setting('efeegold');
        $efeegems = get_module_setting('efeegems');
        $r1gold = get_module_setting('r1gold');
        $r1gems = get_module_setting('r1gems');
        $r2gold = get_module_setting('r2gold');
        $r2gems = get_module_setting('r2gems');
        $r3gold = get_module_setting('r2gold');
        $r3gems = get_module_setting('r2gems');

        output_notl("`b`!Il Grande Torneo di LotGD`0`b`n`n",true);
        if (!$uentry) {
            $fine = get_module_setting('end');
            output_notl("`3Entri in un ufficio malamente illuminato e guardi attorno notando la povert degli interni. ");
            output_notl("`3Quando i tuoi occhi si sono abituati alla poca luce, vedi un alto guerriero avvicinarsi.`n`n");
            output_notl("\"`^Sono Sir Tristan, Maestro del Torneo`3\", ti dice. \"`^Potrai anche non essere il guerriero ");
            output_notl("pi potente che abbia mai visto...ma comunque...percepisco del potenziale in te.`3\"`n");
            output_notl("`3\"`^`bPensi di avere quello che serve per vincere al mio `!Grande Torneo`^?`b`3\"`n`n");
            output_notl("`3L'iscrizione costa `b`^%s pezzi d'oro`b`3 e `b`&%s Gemme`b`.`n `n",$efeegold,$efeegems);
            output_notl("I migliori guerrieri riceveranno in premio per i loro sforzi dei premi:`n`n");
            output_notl("<font size='+1'>`b`c`&Primo Posto: %s Gemme - %s Pezzi d'Oro`n",$r1gems,number_format($r1gold),true);
            output_notl("`@Secondo Posto:  %s Gemme -  %s Pezzi d'Oro`n",$r2gems,number_format($r2gold));
            output_notl("`^Terzo Posto:  %s Gemme -  %s Pezzi d'Oro`b`c`n`n</font>",$r3gems,number_format($r3gold),true);
            output_notl("`^Perch non provarci? Sei abbastanza robusto? Abbastanza forte? Se hai ci che serve, la Vittoria potrebbe essere tua!`n ");
            output_notl("`n`3Tieni presente che tutti hanno le stesse possibilit - non importa quanti Draghi Verdi hai ucciso!`n ",true);
            if ($fine){
               output_notl("Il Grande Torneo di LoGD avr termine il $fine`n`n");
            }
            addnav("S?`@Si, Iscriviti al Torneo","runmodule.php?module=tournament&op=enter");
            addnav("N?`\$No, Torna al Villaggio","village.php");
        } else {
            output_notl("`3Entri in un ufficio malamente illuminato e guardi attorno notando la povert degli interni. ");
            output_notl("`3Sir Tristan ti accoglie. `^Benvenuto, guerriero. Hai pagato la tassa d'iscrizione e puoi proseguire nell'Arena del Torneo.");
            addnav("T?`@Entra nell'Arena","runmodule.php?module=tournament&op=main");
            villagenav();
        }
  } elseif($op == "enter") {
        $efeegold = get_module_setting('efeegold');
        $efeegems = get_module_setting('efeegems');

        output_notl("`c`b`!Il Grande Torneo di LoGD`c`0`b`n`n",true);
        if ($session['user']['gems'] >= $efeegems AND $session['user']['gold']>= $efeegold) {
            output_notl("`3Sir Tristan apre la bocca mostrando un enorme sorriso.`n`n `^Eccellente! Hai deciso di iscriverti al Torneo. Dovrai affrontare una prova ad ogni livello del tuo allenamento.`n");
            output_notl("Per ogni prova, otterrai un punteggio.  Chiunque ottenga il punteggio pi alto al termine del Torneo vincer i premi.`n`n");
            output_notl("`^`bTi auguro Buona Fortuna!`b`n ");
            $session['user']['gems'] -= $efeegems;
            $session['user']['gold'] -= $efeegold;
            set_module_pref('entry', true);
            addnav("E?`^Entra nell'Arena","runmodule.php?module=tournament&op=main");
        } else {
            output_notl("`3Sir Tristan ti guarda storto.`n`n\"`^Cosa pensi che abbia qua?  Un istituto di carit?  Non hai abbastanza oro e gemme per pagare la Tassa d'Iscrizione.`n");
            output_notl("`^Esci dal mio ufficio, porco maledetto!`n`n ");
            output_notl("`\$`bNon farmi perdere del tempo fino a che non avrai la tassa d'iscrizione!`b");
        }
    } elseif ($op == "main") {
        tournament_main($upoints);
    } elseif ($op == "scores") {
        tournament_scores($action, $level);
    }

    if ($op != ""){
        villagenav();
    }
    page_footer();
}

function tournament_main($upoints) {
    global $session;

    $uinformation = unserialize(get_module_pref("information"));
    if (!is_array($uinformation)) {
        $uinformation = array();
        set_module_pref('information', serialize($uinformation));
    }

    $levels['1'] = "uno";
    $levels['2'] = "due";
    $levels['3'] = "tre";
    $levels['4'] = "quattro";
    $levels['5'] = "cinque";
    $levels['6'] = "sei";
    $levels['7'] = "sette";
    $levels['8'] = "otto";
    $levels['9'] = "nove";
    $levels['10'] = "dieci";
    $levels['11'] = "undici";
    $levels['12'] = "dodici";
    $levels['13'] = "tredici";
    $levels['14'] = "quattordici";
    $levels['15'] = "quindici";

    output_notl("<font size='+1>'`b`c`#IL GRANDE TORNEO`b`c`n`n</font>",true);
    $level=$session['user']['level'];
    $flag="";

    addnav("S?`@Vedi Punteggi","runmodule.php?module=tournament&op=scores");

    if ($session['user']['level'] > 15) {
        output_notl("`3Sir Tristan che sei troppo potente per gareggiare nel Torneo. Nessuno pu eguagliarti. Puoi partecipare al torneo solo fino al livello 15.");
        output_notl("`n`n`^Il tuo punteggio attuale  di `^%s Punti.",number_format($upoints));
        return;
    }

    while (list($key, $val) = each($uinformation)) {
        if ($val == $levels[$level])
            $flag="done";
    }

    if ($flag=="done"){
        output_notl("`3Sir Tristan ti informa che hai gi completato la prova per questo livello. `n`^`bTorna quando avrai pi esperienza!!`b`");
    } else {
        $points=e_rand(1,100);
        $resto=100-$points;
        $upoints += $points;
        set_module_pref('points', $upoints);
        $points1=intval($points / 10);
        if ($points1==0) $points1=1;
        array_push($uinformation, $points, $levels[$level]);
        set_module_pref('information', serialize($uinformation));

        // New Leader?
        $currentleader = get_module_setting("leader");
        $sql = "SELECT userid FROM " . db_prefix('module_userprefs') . " WHERE modulename='tournament' AND setting='points' AND value > 0 ORDER BY (value+0) DESC LIMIT 1";
        $result = db_query($sql);
        $row = db_fetch_assoc($result);
        if ($row['userid'] != $currentleader) {
            set_module_setting("leader", $row['userid']);
            invalidatedatacache("tournamentleader");
        }

        output_notl("`3L'assistente di Sir Tristan, Belanthros, ti prepara per affrontare il `^Livello %s del Torneo.`n`n",$level);

        switch ($level) {
        case 1:
            output_notl("`@Non ti far trarre in inganno dal fatto che  per il livello 1,  impegnativa quanto le altre !! `nMa non perdiamoci in convenevoli, diamo inizio alle danze!`n`n ");
            output_notl("La prova consiste nel `%Lancio del Nano`#, pi lontano riesci a lanciarlo, pi punti accumulerai!`n ");

            for ($i=0; $i<$points; $i++){
                output_notl("`% +");
            }

            switch ($points1) {
            case 1:
                output_notl("`n`n`\$Uno dei peggiori lanci che io abbia mai visto !!! `n`#Hai totalizzato <font size='+1'>`6un misero %s</font> `#!!",$points,true);
              break;
            case 2: case 3: case 4: case 5:
              output_notl("`n`n`%Niente di eccezionale, ma ho visto di peggio. `n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
              break;
            case 6: case 7: case 8: case 9:
              output_notl("`n`n`#Bel lancio, complimenti. `n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
              break;
            case 10:
              output_notl("`n`n`^Wow, sei pi bravo di `!Mighthy`^, il miglior lancio del nano che abbia mai visto !!!`n");
              output_notl("`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
              output_notl("`n`^Ti aggiudichi `b1 gemma`b bonus !!!");
              $session['user']['gems']+=1;
                break;
            }
            break;

case 2:
    output_notl("`@Ed ecco la prova per il livello %s. Anche questa sebbene sia per un livello basso non  per nulla ",$level);
    output_notl("una prova semplice da affrontare !! Qui dovrai mettere alla prova le tue doti fisiche di resistenza. ");
    output_notl("Pi kilometri riuscirai a percorrere, pi punti ti aggiudicherai. Forza, inizia con la ventilazione, ");
    output_notl("l'allenamento  importante in una prova come questa !!!`n`n");
            for ($i=0; $i<$points; $i++){
                output_notl("`% + +");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Una delle peggiori performarce che io abbia mai visto !!! `n`#Hai percorso solamente <font size='+1'>`6$points kilometri</font> `#!!",true);
        output_notl("`n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Niente di eccezionale, ma potresti fare di meglio. `b`#Hai percorso <font size='+1'>`6$points kilometri</font> `#!!",true);
        output_notl("`n`#Hai guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente male, complimenti. `n`#Hai percorso la bellezza di <font size='+1'>`6$points kilometri</font> `#!!",true);
        output_notl("`n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, sei un mezzofondista nato, sei l'emulo di Forrest Gump !!!`n");
        output_notl("`#Sei riuscito a raggiungere il traguardo percorrendo tutti i <font size='+1'>`6$points kilometri</font> `#del percorso !!",true);
        output_notl("`n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        output_notl("`n`^Ti aggiudichi `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 3:
    output_notl("`%Ed ecco la prova per il livello %s. Siamo ancora nella zona bassa, e le prove non sono ancora ",$level);
    output_notl("impossibili da affrontare. Questa consiste in una gara di precisione. Dovrai lanciare 5 dardi con una ");
    output_notl("balestra contro un bersaglio, il centro vale 20 punti, quindi il miglior punteggio realizzabile  di ");
    output_notl("100 punti. Saprai eguagliare il record stabilito dal cecchino del nostro villaggio, `b`@Saruman`b`% ??`n`n");
            for ($z=1; $z<6; $z++){
                output_notl("`!Tiro # %s ",$z);
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`% + +");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Una delle peggiori performance che io abbia mai visto !!! `n`#Hai totalizzato solamente <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Niente di eccezionale, ma potresti fare di meglio. `n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, buona mira, complimenti. `#Hai fatto anche un centro, per un totale di <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, 5 centri su 5 tiri, ma sei `@Saruman`^ travestito ??`n");
        output_notl("`#Ti sei portato a casa il bottino completo, totalizzando <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 4:
    output_notl("`#Ed eccoci alla prova per il %s livello . Ci stiamo avvicinando ai livelli intermedi, e le prove ",$level);
    output_notl("si stanno facendo via via pi impegnative. Anche questa consiste in una gara di precisione. Qui al contrario ");
    output_notl("della precedente dove veniva utilizzata una balestra, dovrai cimentarti con arco e frecce. Anche in questa ");
    output_notl("prova avrai a disposizione 5 lanci, ed il centro vale sempre 20 punti. Il nostro campione di tiro con l'arco ");
    output_notl(" il poliedrico `b`^Aris`b`#, saprai eguagliarlo in bravura e precisione ???`n`n");

            for ($z=1; $z<6; $z++){
                output_notl("`!Tiro # %s ",$z);
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`% + +");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Una delle peggiori performance che io abbia mai visto !!! `n`#Hai totalizzato solamente <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Niente di eccezionale, ma potresti fare di meglio. `n`#Hai totalizzato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, buona mira, complimenti. `#Hai fatto anche due centri, per un totale di <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, 5 centri su 5 tiri. Non sarai mica il maestro di `#Aris`^, vero ??`n");
        output_notl("`#Ti sei portato a casa il bottino completo, totalizzando <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 5:
    output_notl("`^Siamo arrivati alla prova per il %s livello . Siamo a buon punto, le tue capacit sono state messe ",$level);
    output_notl("alla prova, vediamo come te la caverai con questa. Il `bRE`b indiscusso di questo `itest`i  senza ombra ");
    output_notl("di dubbio `#Cedrik`^ (e come poteva essere altrimenti ?). Dovrai dimostrare le doti del tuo stomaco nel ");
    output_notl("trangugiare quanti pi boccali di birra. Il record di `b`#Cedrik`b`^  di 100 boccali, saprai eguagliarlo ??? `n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`6 + +");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Una performance degna del peggior trangugiatore di birra che io abbia mai visto !!! `#Hai tracannato solamente <font size='+1'>`6%s boccali</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        if ($session['user']['sex']==0){
        output_notl("`n`n`%Prova degna per una donzella, ma non mi pare tu porti la gonna.`n Sono sicuro che tua moglie ");
        output_notl("saprebbe fare di meglio. `n`#Hai tracannato <font size='+1'>`6%s boccali</font> `#!!",$points,true);
        }else{
        output_notl("`%Niente male per appartenere al gentil sesso !! Probabilmente hai fatto meglio di tuo marito !!`n");
        output_notl("`#Hai trangugiato <font size='+1'>`6%s boccali</font> `#!!",$points,true);
        }
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, potresti fare concorrenza a `\$SuperCiuk`#, complimenti. `n`#Ti sei ".($session[user][sex]?"sbevazzata":"sbevazzato")." <font size='+1'>`6%s boccali</font> `#!!`n",$points,true);
        output_notl("Ma dove stai correndo ??? Guarda che il bagno  dalla parte opposta .....");
        break;
        case 10:
        output_notl("`n`n`^Wow, sei mica ".($session[user][sex]?"la sorella":"il fratello")." di `#Cedrik`^ ? `n");
        output_notl("`#Meglio nascondere le botti di birra con te in giro ... hai ingollato tutti e 100 i boccali a disposizione, totalizzando <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 6:
    output_notl("`&Ed eccoci giunti alla prova per il livello %s. Siamo praticamente a met delle prove ",$level);
    output_notl("ed  qui che si vede la stoffa del campione. Cosa di meglio dopo la buona bevuta della prova precedente ");
    output_notl("di una buona mangiata ? Cedrik dopo la birra ha messo a disposizione uno stock di `b`7Aringhe Affumicate`&`b. ");
    output_notl("Chi riuscir a far entrare nel proprio stomaco, gi messo a dura prova dalla birra, il maggior quantitativo di ");
    output_notl("aringhe sar eletto `b`\$Affumicato dell'Anno`b`&. Il campione del villaggio  `b`#Luke`b`&, che con 99 aringhe ");
    output_notl(" il campione indiscusso del villaggio.`n`n");

            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`7 + +");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Devi essere sicuramente allergico al pesce !!! `n`#Hai mangiato solo <font size='+1'>`6%s aringhe</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Ho visto di meglio ultimamente. `n`#Hai mangiato <font size='+1'>`6%s aringhe</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, potresti competere con Luke, complimenti. `n`#Sono rimaste sul bancone solo %s aringhe, e quindi hai guadagnato <font size='+1'>`6%s punti</font> `#!!",$resto,$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, abbiamo un nuovo campione al villaggio !! Hai polverizzato il record di `#Luke`^ !!`n");
        output_notl("`#Hai spazzolato tutte e 100 le aringhe a disposizione, facendo il colpo grosso. `nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 7:
    output_notl("`^Ed eccoci giunti alla prova per il livello $level. Siamo praticamente a met delle prove ");
    output_notl("ed  qui che si vede la stoffa del campione. Tra le aringhe e la birra delle prove precedenti il tuo ");
    output_notl("stomaco  in fermento. Senti gi la pressione del gas che si sta facendo strada verso la tua bocca ? ");
    output_notl("Trattienilo, perch ti servir per questa prova. Chi riuscir a fare il rutto pi lungo si aggiudicher ");
    output_notl("il punteggio pi alto, quindi meglio non indugiare ulteriormente, non vorrei che qualche stomaco esplodesse ");
    output_notl("anzitempo, non sarebbe un bello spettacolo da vedere. Il campione indiscusso di questa prova  il nostro ");
    output_notl("beneamato concittadino `!`bHutgard`b`^ con 99 secondi. Ma ecco, sento un sordo brontolio, diamo il via alle danze.`n`n");

            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`6 * *");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$E questo lo chiami rutto?? non era neanche un respiro!!! `n`#Il tuo rutto  durato solamente <font size='+1'>`6%s secondi</font> `#!!",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Ho sentito di meglio ultimamente. `n`#Hai ruttato per <font size='+1'>`6%s secondi</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente male, sono svenute una trentina di persone, complimenti. `n`#Il tuo rutto  durato <font size='+1'>`6%s secondi</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, abbiamo un nuovo campione al villaggio !! Hai polverizzato il record di `#Hutgard`^ !!`n");
        output_notl("`#Il tuo rutto ha rotto molte delle finestre del nostro villaggio, e si  sentito in alcuni dei villaggi ");
        output_notl("confinanti. `nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 8:
    output_notl("`@Hai resistito fino a qui ? Bene ecco la prova per il livello $level. Abbiamo passato dei bei momenti ");
    output_notl("insieme fino adesso, non mollare proprio ora !! Tra aringhe, birra e rutti delle prove precedenti che ");
    output_notl("ne diresti di una bella dormita ? Il sorriso di compiacimento sul tuo viso mi fa capire che sei d'accordo. ");
    output_notl("Bene, mi auguro che il tuo sonno arretrato sia sufficiente per farti aggiudicare questa prova. Chi dormir ");
    output_notl("pi a lungo guadagner pi punti dei suoi avversari !! Come nelle prove precedenti abbiamo un campione ");
    output_notl("nel villaggio, il beneamato concittadino `!`bDankor`b`^ con 99 ore filate di sonno !! `n`n");

            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`7 z z");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Una delle peggiori performance che io abbia mai visto !!! `n`#Hai dormito solamente <font size='+1'>`6%s ore</font> `#!!`n",$points,true);
        output_notl("Certo per te il tempo che usi per dormire  tempo perso vero ? Peccato perch in questa prova hai guadagnato solo <font size='+1'>`6%s punti</font> `#!!`n",$points,true);
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Che dire, non sei un gran dormiglione. `n`#Hai dormito per <font size='+1'>`6%s ore</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente male, veramente. `n`#Il tuo sonno  durato <font size='+1'>`6%s ore</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, abbiamo un nuovo campione al villaggio !! Hai polverizzato il record di `#Dankor`^ con `b100 ore`b filate !!`n");
        output_notl("`#Il tuo sonno potrebbe competere con quello della `#Bella Addormentata nel Bosco`^ !!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 9:
    output_notl("`2Bene, eccoci alla prova per il livello $level. Questa  collegata direttamente alla precedente, ");
    output_notl("in effetti l'hai gi svolta contemporaneamente a quella del sonno. In cosa consiste ti starai chiedendo, ");
    output_notl("visto che non ti sei accorto di nulla ? Semplice, abbiamo registrato il livello, in decibel, del tuo russare. ");
    output_notl("Anche per questa prova abbiamo un campione in carica, che risponde al nome di `b`@CMT`b`2, che con 99 decibel ");
    output_notl(" il Re incostrastato di questa prova. Vediamo se hai saputo fare di meglio ... `n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`7 Z Z");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Noooooo, una delle peggiori performance che io abbia mai visto !!! `n`#Hai raggiunto solo <font size='+1'>`6%s decibel</font> `#!!`n",$points,true);
        output_notl("Ma lo sai che soffiarsi il naso prima di andare a letto non aiuta nello svolgimento di questa prova ?`n");
        break;
        case 2: case 3: case 4: case 5:
        output_notl("`n`n`%Che dire, riesci a svegliare solo ".($session[user][sex]?"tuo marito":"tua moglie")." che ti dorme accanto. `n`#Hai raggiunto <font size='+1'>`6%s decibel</font> `#!!",$points,true);
        break;
        case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente male, veramente. `#Riesci a tenere sveglio tutto il vicinato con il tuo russare ! `nCon $points decibel guadagni <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, abbiamo un nuovo campione al villaggio !! Hai polverizzato il record di `#CMT`^ con `b100 decibel`b !!`n");
        output_notl("`#Potremmo usare il tuo russare al posto delle mine per demolire i palazzi pericolanti !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 10:
    output_notl("`6In questa prova, per il livello $level, ti forniamo 100 elastici. A cosa serviranno mai 100 elastici ? ");
    output_notl("Come ben sai lo Gnomo del Bagno della foresta non  un campione di pulizia, ed il ristagnare dell'acqua ");
    output_notl("favorisce il proliferare delle zanzare. Bene, con gli elastici che ti abbiamo fornito dovrai cercare di ");
    output_notl("sterminare il maggior numero di quelle maledette creature. Se non mancherai neanche un colpo, sarai ");
    output_notl("incoronato `#Campione di Tiro con l'Elastico alla Zanzara`6, attualmente appartenente a `b`#OberonGloin`b`6, ");
    output_notl("ed avrai la riconoscenza di tutti gli abitanti del villaggio. `n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`6 o o");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Noooooo, una delle peggiori performance che io abbia mai visto !!! `@Le zanzare ti ringraziano ");
        output_notl("per averle risparmiate. Hai totalizzato solo <font size='+1'>`^%s punti</font> `@!!`n",$points,true);
        output_notl("Visto che parteggi per le zanzare, non  che per caso sei un parente alla lontana di `\$Dracula`@ ???`n");
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%Che dire, quando ti fai cucinare una bistecca da ".($session[user][sex]?"tuo marito":"tua moglie")." gliela fai fare al sangue.");
        output_notl("Le zanzare ti ispirano un senso di tenerezza, e ti dispiace ucciderle. `n`#Hai guadagnato solo <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente male, sei un cecchino. `#Le zanzare quando percepiscono la tua presenza ti stanno ");
        output_notl("alla larga. `nCon $points centri guadagni <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, abbiamo un nuovo `#Campione di Tiro con l'Elastico alla Zanzara `^al villaggio !! Hai polverizzato ");
        output_notl("il record di `#OberonGloin`^ con `b100 centri`b !!`n");
        output_notl("`#I villaggi vicini ti stanno gi cercando per far fuori tutte le zanzare della contea !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 11:
    output_notl("`3Bene, ci stiamo avvicinando al gotha di LoGD, sei giunto alla prova relativa al livello $level. ");
    output_notl("Questa prova consiste nella doma di un centauro selvaggio, fornitoci gentilmente da `!Merick`3. ");
    output_notl("Sappiamo bene che solo `!Merick`3  in grado di domare un centauro, ma vogliamo vedere quanti secondi ");
    output_notl("riuscirai a stare in groppa a questa fiera bestia. Come al solito abbiamo un campione in carica al villaggio, ");
    output_notl("ed  `#`bPoker`b`3, con 99 secondi in groppa al centauro. Saprai fare di meglio ?? `n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`% <^>");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Noooooo, Il centauro ti ha disarcionato dopo soli %s secondi !!! ",$points);
        output_notl(" Hai totalizzato solo <font size='+1'>`^%s punti</font> `@!!`n",$points,true);
        output_notl("Non vai molto d'accordo con i quadrupedi, vero ???`n");
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%Non potresti mai fare il mandriano, il tuo tempo  di &s secondi. Per non sei neanche una scamorza a cavalcare, non ",$points);
        output_notl("dimentichiamoci che quello era un `&`icentauro infuriato`i`%. `n`%Comunque hai guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, niente, niente male. Gli animali a quattro zampe non hanno segreti per te. Sei stato molto bravo ");
        output_notl("hai resistito per ben $points secondi. `nTi sei guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, `!Merick`^ non  nessuno al tuo confronto !!! Sei il nuovo campione del villaggio !! Hai polverizzato ");
        output_notl("il record di `#Poker`^ con `b100 secondi`b !!`n");
        output_notl("`#I villaggi vicini ti stanno gi cercando per domare i centauri selvaggi !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 12:
    output_notl("`@Ecco, un altra prova che ci avvicina al livello pi alto di LoGD, preparati ad affrontare la prova N $level. ");
    output_notl("Oggi ti dovrai cimentare nella raccolta di Pixie, queste splendide e sfuggenti creaturine. Verrai rinchiuso ");
    output_notl("in una stanza con 100 di queste fragili esserini, e dovrai cercare di catturarne la maggior quantit possibile. ");
    output_notl("Riuscirai a battere il record detenuto dal nostro campione `%`bKhendra`b`@, che ne ha catturate ben 99 nel tempo ");
    output_notl("assegnato ? Preparati, la prova sta per cominciare.`n`n");

            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl("`& * * * *");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$hai bisogno di un paio di occhiali ? Non le vedevi ? Sono troppo piccole per le tue mani da muratore ? ");
        output_notl(" `#Ne hai catturate solo %s !! `nHai totalizzato solo <font size='+1'>`^%s punti</font> `#!!`n",$points,$points,true);
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%Beh con %s Pixie catturate ti non sei poi cos scamuffo. Certo ci sono altri giocatori migliori di ",$points);
        output_notl("te, ma ce ne sono anche tanti altri peggiori di te. `nTi sei meritato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, proprio un bel risultato. Un piccolo sforzo e forse avresti potuto battere il record. ");
        output_notl("Hai catturato ben $points Pixie. `nTi sei guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, hai polverizzato il record di `#Khendra`^ !!! Sei il nuovo campione del villaggio !! ");
        output_notl("Con `b$points Pixie`b catturate sei diventato una leggenda !!`n");
        output_notl("`#Il villaggio dei nani vicino ti sta gi cercando, le Pixie sono animali ricercati !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 13:
    output_notl("`@Ancora un passo per avvicinarci al livello pi alto di LoGD, preparati ad affrontare la prova N $level. ");
    output_notl("La nostra fantasia sta iniziando a dare segni di stanchezza, ma anche per oggi siamo riusciti ad inventarci ");
    output_notl("un'altra prova. Saprai destreggiarti anche in questa tra i fornelli ?? Ti vengono fornite due uova e una padella, ");
    output_notl("e dovrai cimentarti nella `%Giravolta della Frittata`@. Riuscirai a battere il record detenuto dal nostro campione ");
    output_notl("cuoco `%`bNulla`b`@, che ne ha fatte ben 99 ?? Bando alle ciance, preparati, la prova sta per cominciare.`n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl(" `&(`^0`&) `&(`^X`&)");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Scommetto che non hai mai preparato qualcosa da mangiare in vita tua. `#".($session[user][sex]?"Tuo marito":"Tua moglie")." ");
        output_notl(" ti ha fatto sempre trovare il pranzo nel piatto !! `nHai fatto solo $points giravolte!! `nHai totalizzato <font size='+1'>`^%s punti</font> `#!!`n",$points,true);
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%non sei certo un grande chef, ma la tua pasta in bianco e la tua bistecchina al burro sei capace di ");
        output_notl("preparartele de sol".tranlate_inline($session[user][sex]?"a":"o").". `nHai ottenuto <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Mhhh, faresti un figurone anche in un ristorante a **** stelle. Un piccolo sforzo e forse avresti potuto battere il record. ");
        output_notl("Hai effettuato $points giravolte con quella frittata. `nTi sei guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, hai polverizzato il record di `@Nulla`^ !!! Sei il nuovo campione del villaggio !! ");
        output_notl("Con `b$points giravolte`b della frittata sei diventato una leggenda !!`n");
        output_notl("La `@Grotta dello Gnomo`^ ti sta gi cercando per sostituire il loro chef !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points.true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 14:
    output_notl("`%Solo un gradino ti separe dal livello pi alto di LoGD, eccoci arrivati alla prova N $level. ");
    output_notl("Cosa ci inventeremo ancora per mettere alla prova le tue capacit ? Non lo sappiamo nemmeno noi ! ");
    output_notl("Ma il nostro prode `!`bMightyE`b`% ci  venuto in soccorso. Come nella prova precedente dovrai far ");
    output_notl("fare la giravolta a qualcosa, in questo caso ad una spada fornita gentilmente da `!`bMightyE`b`%. Ma ");
    output_notl("fai attenzione, una spada  decisamente pi affilata di una frittata.`n`n");

            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl(" `^-{`7--- `s`s`s`s`s`s   ---`^}-`s`s`s`s`s`s");
                }
                output_notl("`n`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Sbaglio o quelle sul tuo braccio sono ferite ? Ahi ahi ahi ... hai ottenuto un punteggio cos ");
        output_notl("scarso per un guerriero che quasi mi vergogno a dirlo: solo $points giravolte!! `nHai totalizzato <font size='+1'>`^%s punti</font> `#!!`n",$points,true);
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%non sei di certo Conan, ma la tua parte nella foresta la fai onestamente, facendo assaggiare ");
        output_notl("il filo della tua lama alle creature che ci vivono. `nHai ottenuto <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Per, non me lo aspettavo un risultato di questo livello ! Un piccolo sforzo e forse avresti potuto battere il record. ");
        output_notl("Hai effettuato $points giravolte con la spada. `nTi sei guadagnato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, hai polverizzato il record di `!`bMightyE`b`^ !!! Sei il nuovo campione del villaggio !! ");
        output_notl("Con `b$points giravolte`b della spada sei diventato un mito vivente !!`n");
        output_notl("`!`bMightyE`b`^ ti propone di entrare in societ con lui !!!! ");
        output_notl("`nHai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;

case 15:
    output_notl("`#Eccoci finalmente arrivati alla prova del livello pi alto, il livello $level. ");
    output_notl("Siamo riusciti a catturare un esemplare di `\$Drago Rosso`#, e adesso `bTU`b dovrai affrontarlo e ");
    output_notl("resistere il pi a lungo possibile alle terribili fiamme che si sprigionano dalle sue fauci. `n");
    output_notl("Si lo so che stai per obiettare, ma non ti preoccupare abbiamo il miglior sciamano della contea con ");
    output_notl("i suoi unguenti in caso di pericolo. Vai adesso, non riusciamo pi a tenerlo .... `n`n");
            for ($z=0; $z<5; $z++){
                for ($i=0; $i<e_rand(0,$points1); $i++){
                    output_notl(" `4w`$ Y `4w`$ Y ");
                }
                output_notl("`n");
            }
    switch ($points1) {
        case 1:
        output_notl("`n`n`\$Uh uh, ehm ehm ... Ti avevamo avvertito, se lo avessimo saputo che eri cos delicato di pelle ");
        output_notl("non ti avremmo permesso di disputare questa prova. Comunque, nonostante tutto hai resistito alle ");
        output_notl("fiamme del drago per $points secondi. `nHai totalizzato <font size='+1'>`^%s punti</font> `#!!`n",$points,true);
        break;
        case 2: case 3: case 4:
        output_notl("`n`n`%Beh dai, le ustioni che hai riportato sono solo del 3 grado, e solo sul 40% del tuo corpo. ");
        output_notl("Noi te lo avevamo detto di mettere la tuta ignifuga, ma tu non hai voluto sentire ragioni. `nHai ottenuto <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 5: case 6: case 7: case 8: case 9:
        output_notl("`n`n`#Ti sei allenato nel deserto del Sahara per caso ? Sembravi perfettamente a tuo agio tra le fiamme ");
        output_notl("che si sprigionavano dalle fauci del `\$Drago Rosso`#. Se non fosse stato per i capelli che hanno preso ");
        output_notl("fuoco avresti potuto battere il record di `bExcalibur`b. `nTi sei aggiudicato <font size='+1'>`6%s punti</font> `#!!",$points,true);
        break;
        case 10:
        output_notl("`n`n`^Wow, hai polverizzato il record di `@`bExcalibur`b`^ !!! Sei il nuovo campione del villaggio !! ");
        output_notl("Con `b$points secondi`b sotto le fauci fiammeggianti del `\$Drago Rosso`^ sei diventato un mito vivente !!`n");
        output_notl("I pompieri del villaggio ti hanno eletto `i`&Pompiere dell'Anno`i`^ !!!! `n");
        output_notl("Hai guadagnato <font size='+1'>`6%s punti</font> `#!!!",$points,true);
        output_notl("`n`^Ti aggiudichi anche `b1 gemma`b bonus !!!");
        $session['user']['gems']+=1;
        break;
    }break;
        }
    }

    output_notl("`n`n`^Il tuo punteggio attuale nel Torneo  di `^%s Punti.",number_format($upoints));
}

function tournament_scores($action, $level) {
    global $session;

    $levels['1'] = "uno";
    $levels['2'] = "due";
    $levels['3'] = "tre";
    $levels['4'] = "quattro";
    $levels['5'] = "cinque";
    $levels['6'] = "sei";
    $levels['7'] = "sette";
    $levels['8'] = "otto";
    $levels['9'] = "nove";
    $levels['10'] = "dieci";
    $levels['11'] = "undici";
    $levels['12'] = "dodici";
    $levels['13'] = "tredici";
    $levels['14'] = "quattordici";
    $levels['15'] = "quindici";

    addnav("G?`#Classifica Generale","runmodule.php?module=tournament&op=scores&action=general");
    addnav("L?`%Classifica per Livello","runmodule.php?module=tournament&op=scores&action=scorelevel");
    addnav("Y?`^Livelli Completati","runmodule.php?module=tournament&op=scores&action=level");

    if ($action == "") {
        output_notl("<font size='+1'>`c`b`!Le Classifiche del Torneo di LoGD`b`c`n`n</font>",true);
    output_notl("`6Benvenuto alle `@Classifiche del Grande Torneo di LoGD`6. Qui hai la possibilit di visualizzare diversi ");
    output_notl("tipi di tabelle. Una di queste  la `@Classifica Generale`6, in cui vengono visualizzati i giocatori attualmente ");
    output_notl("in lizza per la conquista delle prime posizioni con a fianco il loro punteggio totale ottenuto fino a quel momento, ");
    output_notl("o puoi scegliere di visualizzare la classifica per ogni singola prova disputata, in cui potrai vedere chi si  ");
    output_notl("distinto nella singola prova. `n`n");
    output_notl("Quale classifica vuoi vedere ?`n");
    }

    if ($action == "general") {
        output_notl("<font size='+1'>`c`b`!La Classifica Generale del Torneo di LoGD`b`c`n`n</font>",true);
        output_notl("`c`b`&La Classifica del Torneo di LoGD`b`c`n");
        output_notl("<table border=0 cellpadding=2 cellspacing=1 bgcolor='#999999' align='center'><tr class='trhead' align='center'><td>`b`!#`b</td><td>`b`^Nome`b</td><td align='center'>`b`#Punteggio`b</td><td align='center'>`b`@Prove Disputate`b</td></tr>", true);
        $sql = "SELECT userid,name,value AS point FROM " . db_prefix('module_userprefs') . " LEFT JOIN " . db_prefix('accounts') . " ON (acctid = userid) WHERE modulename='tournament' AND setting='points' AND value > 0 AND superuser < 10000000 ORDER BY (value+0) DESC";
        $result = db_query($sql) or die(db_error(LINK));
        if (db_num_rows($result) == 0) {
            output_notl("<tr><td colspan=4 align='center'>`&Nessun Giocatore si  iscritto al Torneo`0</td></tr>", true);
        }
        for ($i = 0;$i < db_num_rows($result);$i++) {
            $row = db_fetch_assoc($result);
            $row['information'] = unserialize(get_module_pref('information', 'tournament', $row['userid']));
            if ($row['name'] == $session['user']['name']) {
                output_notl("<tr bgcolor='#007700'>", true);
            } else {
                rawoutput("<tr class='" . ($i % 2?"trlight":"trdark") . "'>", true);
            }
            $prove=count($row['information'])/2;
          output_notl("<td>`\$`b" . ($i + 1) . ".`b</td><td>`^`b".$row['name']."`b</td><td align='right'>`#`b".($row['point'])."`b</td><td align='center'>`@`b$prove`b</td></tr>", true);
        }
        output_notl("</table>", true);
    }
    if ($action == "scorelevel") {
        if (!$level)
            output_notl("<font size='+1'>`c`b`!La Classifica per Livello del Torneo di LoGD`b`c`n`n</font>",true);
        addnav("Scegli Livello");
        for ($i=1; $i<16; $i++){
            addnav("`\$Livello $i","runmodule.php?module=tournament&op=scores&action=scorelevel&level=".$i);
        }
    }
    if ($action == "scorelevel" && $level) {
        $arr=array();
        $sql = "SELECT userid, name,value AS point FROM " . db_prefix('module_userprefs') . " LEFT JOIN " . db_prefix('accounts') . " ON (acctid = userid) WHERE modulename='tournament' AND setting='points' AND value > 0 ORDER BY point DESC";
        $result = db_query($sql) or die(db_error(LINK));
        $k=1;
        $z=db_num_rows($result);
        for ($i = 0;$i < $z ;$i++){
            $row = db_fetch_assoc($result);
            $row['information'] = unserialize(get_module_pref('information', 'tournament', $row['userid']));
            $convers=array();
            for ($ii = 0; $ii < count ($row['information']); $ii += 2) {
                if (isset ($row['information'][$ii]) && isset ($row['information'][$ii + 1])) {
                    $convers[] = array ("punteggio" => $row['information'][$ii],"livello" => $row['information'][$ii + 1]);
                }
            }
            reset($convers);
            $nome=$row['name'];
            foreach ($convers as $key => $row){
                if ($convers[$key]['livello'] == $levels[$level]){
                    $arr[$k]['punteggio'] = $convers[$key]['punteggio'];
                    $arr[$k]['nome'] = $nome;
                    $k++;
                }
            }
        }
        arsort($arr);
        reset($arr);
        output_notl("<font size='+1'>`c`b`!La Classifica del Livello %s del Torneo di LoGD`b`c`n`n</font>",$level,true);
        output_notl("<table border=0 cellpadding=2 cellspacing=1 bgcolor='#999999' align='center'><tr class='trhead' align='center'><td></td><td align='center'>`bNome`b</td><td align='center'>`bPunteggio`b</td></tr>", true);

        foreach ($arr as $key => $row) {
            if ($arr[$key]['nome'] == $session['user']['name']) {
                output_notl("<tr bgcolor='#007700'>", true);
            } else {
                output_notl("<tr class='" . (($key+1) % 2?"trlight":"trdark") . "'>", true);
            }
            output_notl("<td>" . ($key) . ".</td><td>".$arr[$key]['nome']."</td><td align='right'>".$arr[$key]['punteggio']."</td></tr>", true);
            $flag=1;
        }
        if (!$flag) {
            output_notl("<tr><td colspan=3 align='center' bgcolor='#000000'>`&Nessun Giocatore ha disputato la prova per questo livello`0</td></tr>", true);
        }
        output_notl("</table>", true);
    }
    if ($action == "level") {
        output_notl("<font size='+1'>`c`b`!I Livelli svolti da %s`b`c`n`n</font>",$session['user']['name'],true);
        $uinformation = unserialize(get_module_pref("information"));
        output_notl("<table border=0 cellpadding=2 cellspacing=1 bgcolor='#999999' align='center'><tr class='trhead' align='center'><td align='center'>`bLivello`b</td><td align='center'>`bPunteggio`b</td></tr>", true);
        for ($k = 1; $k < 16; $k++){
            for ($i = 0; $i < count ($uinformation); $i += 2){
                if ($levels[$k]==$uinformation[$i + 1]){
                    output_notl("<tr class='" . (($pippo) % 2?"trlight":"trdark") . "'>", true);
                    output_notl("<td align='center'>`@%s</td><td align='right'>`^%s</td></tr>",$levels[$k],$uinformation[$i],true);
                    $pippo++;
                    $totale=$totale+$uinformation[$i];
                }
            }
        }
        output_notl("<tr bgcolor='#005599'>",true);
        output_notl("<td align='center'>`\$`bTotale`b</td><td align='right'>`^`b%s`b</td></tr>",$totale,true);
        output_notl("</table>",true);
    }
}

function tournament_editor() {
    global $session;

    $action = httpget('action');

    page_header("Azzera Torneo");

    if ($action==""){
        output_notl("`\$`n`n`c`4`bATTENZIONE`b`0 !!! Stai per azzerare il Torneo.`n");
        output_notl("Sei sicuro al 100% ?`c");
        addnav("G?Torna alla Grotta","superuser.php");
        addnav("M?Torna alla Mondanit","village.php");
        addnav("A?`\$Azzera Torneo","runmodule.php?module=tournament&op=editor&action=reset");
        addnav("P?`^Dai Premi","runmodule.php?module=tournament&op=editor&action=prizes");
    }

    if ($action=="reset"){
        output_notl("`@<font size='+1'>`c`n`nQuesta  l'ultima possibilit che hai. `nOltre questo punto non potrai tornare indietro.`n",true);
        output_notl("`\$Vuoi VERAMANTE azzerare la Tabella del Torneo ?`c</font>",true);
        addnav("G?Torna alla Grotta","superuser.php");
        addnav("M?Torna alla Mondanit","village.php");
        addnav("R?`\$Azzera la Tabella Torneo","runmodule.php?module=tournament&op=editor&action=resetconfirm");
    }

    if ($action=="resetconfirm"){
        $sql = "DELETE FROM " . db_prefix("module_userprefs") . " WHERE modulename='tournament'";
        db_query($sql);
        set_module_setting("leader", 0);
        invalidatedatacache("tournamentleader");
        addnav("G?Torna alla Grotta","superuser.php");
        addnav("M?Torna alla Mondanit","village.php");
        output_notl("`n`@Azzeramento Tabella Torneo effettuato !!");
    }

    if ($action=="prizes"){

        output_notl("`c`b`&La Distribuzione dei Premi del Torneo di LoGD`b`c`n");
        $sql = "SELECT acctid,name,gems,goldinbank,value AS point FROM " . db_prefix('module_userprefs') . " LEFT JOIN " . db_prefix('accounts') . " ON (acctid = userid) WHERE modulename='tournament' AND setting='points' AND value > 0 AND superuser < 10000000 ORDER BY (value+0) DESC LIMIT 3";
        $result = db_query($sql) or die(db_error(LINK));
    if (db_num_rows($result) == 0) {
            output_notl("`c`&Nessun Giocatore si  iscritto al Torneo`0`c");
        }
    for ($i = 0;$i < db_num_rows($result);$i++) {
            $row = db_fetch_assoc($result);
            if ($i==0){
                $account=$row['acctid'];
                $oro=$row['goldinbank'] + get_module_setting('r1gold');
                $gemme=$row['gems']+ get_module_setting('r1gems');
                output_notl("`^%s ha %s gemme e %s oro in banca`n",$row['name'],$row['gems'],$row['goldinbank']);
                $mailmessage = "`@Hai vinto il Primo Premio del torneo di LoGD !!! Ti sei aggiudicato ".get_module_setting('r1gems')." Gemme e ".get_module_setting('r1gold')." Oro !!!";
                systemmail($account,"`%Complimenti !!! Hai vinto al Torneo",$mailmessage);
                addnews("`#%s `#si  classificato al `^1 posto`# nel `@Torneo di LoGD`#.`n e `#si  aggiudicato `^ %s gemme`# e `^%s pezzi d'oro`# !!`0",$row['name'],get_module_setting('r1gems'),number_format(get_module_setting('r1gold')));
            } else if ($i==1) {
                $account=$row['acctid'];
                $oro=$row['goldinbank'] + get_module_setting('r2gold');
                $gemme=$row['gems']+ get_module_setting('r2gems');
                output_notl("`^%s ha %s gemme e %s oro in banca`n",$row['name'],$row['gems'],$row['goldinbank']);
                $mailmessage = "`@Hai vinto il Secondo Premio del torneo di LoGD !!! Ti sei aggiudicato ".get_module_setting('r2gems')." Gemme e ".get_module_setting('r2gold')." Oro !!!";
                systemmail($account,"`%Complimenti !!! Hai vinto al Torneo",$mailmessage);
                addnews("`#%s `#si  classificato al `^2 posto`# nel `@Torneo di LoGD`#.`n e `#si  aggiudicato `^ %s gemme`# e `^%s pezzi d'oro`# !!`0",$row['name'],get_module_setting('r2gems'),number_format(get_module_setting('r2gold')));
            } else if ($i==2) {
                $account=$row['acctid'];
                $oro=$row['goldinbank'] + get_module_setting('r3gold');
                $gemme=$row['gems']+ get_module_setting('r3gems');
                output_notl("`^%s ha %s gemme e %s oro in banca`n",$row['name'],$row['gems'],$row['goldinbank']);
                $mailmessage = "`@Hai vinto il Terzo Premio del torneo di LoGD !!! Ti sei aggiudicato ".get_module_setting('r3gems')." Gemme e ".get_module_setting('r3gold')." Oro !!!";
                systemmail($account,"`%Complimenti !!! Hai vinto al Torneo",$mailmessage);
                addnews("`#%s `#si  classificato al `^3 posto`# nel `@Torneo di LoGD`#.`n e `#si  aggiudicato `^ %s gemme`# e `^%s pezzi d'oro`# !!`0",$row['name'],get_module_setting('r3gems'),number_format(get_module_setting('r3gold')));
            }
            $sql = "UPDATE " . db_prefix('accounts') . " SET `gems` = $gemme, `goldinbank` = $oro WHERE `acctid` = $account";
            $result1=db_query($sql);
            output_notl("{$row[name]} ora ha $gemme gemme e $oro oro.`n`n");
        }

        $sql = "DELETE FROM " . db_prefix("module_userprefs") . " WHERE modulename='tournament'";
        db_query($sql);
        set_module_setting("leader", 0);
        invalidatedatacache("tournamentleader");

        addnav("G?Torna alla Grotta","superuser.php");
        addnav("M?Torna alla Mondanit","village.php");
        addnav("R?`\$Resetta il Torneo","runmodule.php?module=tournament&op=editor&action=reset");
        output_notl("`n`\$`bPremi Distribuiti !!`b");
    }

    page_footer();
    die;
}

?>